<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.315
Name: Specimen Diagnosis Entry
Description: Specimen Diagnosis Entry, per specimen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000">
   <title>Specimen Diagnosis Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]
Item: (SpecimenDiagnosisEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]
Item: (SpecimenDiagnosisEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]"
         id="tmp-r-3b0ccfe9-70e8-42c3-87ad-04edd9a13806">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="string(@classCode)='CLUSTER'">(SpecimenDiagnosisEntry): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenDiagnosisEntry): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315'])&gt;=1 ">(SpecimenDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315'])&lt;=1">(SpecimenDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(SpecimenDiagnosisEntry): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(SpecimenDiagnosisEntry): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenDiagnosisEntry): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:specimen)&lt;=1">(SpecimenDiagnosisEntry): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']
Item: (SpecimenDiagnosisEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']"
         id="tmp-r-f04e7d4d-3b79-4777-be15-a92532d14ab7">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenDiagnosisEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.315'">(SpecimenDiagnosisEntry): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.315' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:statusCode[@code='completed']
Item: (SpecimenDiagnosisEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:statusCode[@code='completed']"
         id="tmp-r-f7f892d3-19ec-4d3b-a182-a05196380b14">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenDiagnosisEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="@nullFlavor or (@code='completed')">(SpecimenDiagnosisEntry): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:effectiveTime
Item: (SpecimenDiagnosisEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:effectiveTime"
         id="tmp-r-06dafec3-898d-4f5e-96d7-36cd8a3edae0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenDiagnosisEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:specimen
Item: (SpecimenReference)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:specimen"
         id="tmp-r-b28d0018-2af5-4cbb-9dae-47af79b2d3f4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="string(@typeCode)='SPC'">(SpecimenReference): de waarde van @typeCode MOET 'SPC' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:specimen/hl7:specimenRole
Item: (SpecimenReference)
-->

   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:specimen/hl7:specimenRole"
         id="tmp-r-fa2b4104-d4a8-4983-80f2-51ecd4d053c3">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="string(@classCode)='SPEC'">(SpecimenReference): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenReference): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.557-2012-04-10T000000.html"
              test="count(hl7:id)&lt;=1">(SpecimenReference): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.557
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:specimen/hl7:specimenRole/hl7:id
Item: (SpecimenReference)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:component[hl7:observation[hl7:code[(@code='DX' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (SpecimenDiagnosisEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:component[hl7:observation[hl7:code[(@code='DX' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-90b23b20-230f-420a-a15d-34151f43b5e3">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="string(@typeCode)='COMP'">(SpecimenDiagnosisEntry): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="string(@contextConductionInd)='true'">(SpecimenDiagnosisEntry): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="count(hl7:sequenceNumber)&lt;=1">(SpecimenDiagnosisEntry): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.315
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:component[hl7:observation[hl7:code[(@code='DX' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:sequenceNumber
Item: (SpecimenDiagnosisEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.315']]/hl7:component[hl7:observation[hl7:code[(@code='DX' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:sequenceNumber"
         id="tmp-r-2d33c635-79f5-4561-b2a4-91fc966ece5a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenDiagnosisEntry): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.html"
              test="$digitok or @nullFlavor">(SpecimenDiagnosisEntry): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
